#' .nwords
#'
#' @param string A string of text
#' @param pseudo A boolean, if TRUE you choose any non-whitespace character.
#' Otherwise any alphabetical word.
#' @description Counts the number of words in a string. I got it from
#' https://stackoverflow.com/questions/8920145/count-the-number-of-words-in-a-string-in-r
.nwords <- function(string, pseudo=F){
  ifelse( pseudo,
          pattern <- "\\S+",
          pattern <- "[[:alpha:]]+"
  )
  str_count(string, pattern)
}
